%define	major	1
%define finalname %mklibname gc %{major}

Summary:	Conservative garbage collector for C
Name:		libgc
Version:	6.8
Release:	%mkrel 2
License:	BSD
Group:		System/Libraries
URL:		http://www.hpl.hp.com/personal/Hans_Boehm/gc/
Source0:	http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc%{version}.tar.gz
Patch0: 	gc-aclocal.diff
BuildRequires:	automake1.7
Epoch:		0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n	%{finalname}
Summary:	Conservative garbage collector for C
Group:  	System/Libraries
Obsoletes:	libgc
Provides:	libgc = %{version}-%{release}

%description -n	%{finalname}
Boehm's GC is a garbage collecting storage allocator that is intended to be
used as a plug-in replacement for C's malloc.

%package -n	%{finalname}-devel
Summary:	Development files and documentation for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	libgc-devel
Provides:	libgc-devel = %{version}-%{release}
Requires:	%{finalname} = %{version}

%description -n	%{finalname}-devel
Header files and documentation needed to develop programs that use Bohem's GC

%package -n	%{finalname}-static-devel
Summary:	Static libraries for Bohem's GC
Group:		Development/C
License: 	BSD
Obsoletes:	libgc-static-devel
Provides:	libgc-static-devel = %{version}-%{release}
Requires:	%{finalname} = %{version}

%description -n	%{finalname}-static-devel
Static libraries neded to develop programs that use Bohem's GC

%prep
%setup -q -n gc%{version}
%patch0 -p0

%build
rm -f configure
libtoolize --copy --force; aclocal-1.7; automake-1.7 -a; autoconf

export LIBS="-lpthread -ldl"

%configure2_5x \
    --enable-threads=pthreads \
    --enable-cplusplus \
    --enable-static \
    --enable-shared

%make

%install
rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_libdir}

rm -rf %{buildroot}%{_includedir}
install -d %{buildroot}%{_includedir}/gc

install -m 644 include/*.h %{buildroot}%{_includedir}/gc

rm -rf %{buildroot}%{_datadir}

install -m644 doc/gc.man -D %{buildroot}%{_mandir}/man3/gc.3
rm -f doc/gc.man

%post -n %{finalname} -p /sbin/ldconfig

%postun -n %{finalname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{finalname}
%defattr(-, root, root)
%doc README.QUICK
%{_libdir}/*.so.%{major}*

%files -n %{finalname}-devel
%defattr(-, root, root)
%doc doc/*
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_includedir}/gc
%{_includedir}/gc/*
%{_mandir}/man?/*

%files -n %{finalname}-static-devel
%defattr(-, root, root)
%{_libdir}/*.a




%changelog
* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.8-2mdv2008.1
+ Revision: 150564
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 17 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0:6.8-1mdv2008.0
+ Revision: 27627
- Updated to 6.8.
- Minor identation fixes.


* Tue Mar 27 2007 Oden Eriksson <oeriksson@mandriva.com> 6.7-2mdv2007.1
+ Revision: 148888
- Import libgc

* Tue Mar 27 2007 Oden Eriksson <oeriksson@mandrakesoft.com> 6.7-2mdv2007.1
- added P0 to fix threading linkage on x86_64 (fixes #22119)

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 6.7-1mdk
- New release 6.7

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 6.5-1mdk
- 6.5
- %%mkrel

* Wed Feb 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.4-1mdk
- 6.4

* Fri Nov 05 2004 Michael Scherer <misc@mandrake.org> 6.3-3mdk
- add c++ support

* Tue Aug 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 6.3-2mdk
- fix provides and obsoletes, should not provide and obsolete itself (rgs)

* Sat Jul 31 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 6.3-1mdk
- 6.3
- cosmetics

